s_pci_t Struct Reference
Public interface » ID macros » Hardware information

structure holding the (raw) PCI data More...

`#include <hd.h>`

## Data Fields

struct s_pci_t * | next
| linked list
unsigned | data_len
| the actual length of the data field
unsigned | data_ext_len
| max.
unsigned char | data [256]
| the PCI data
char * | log
| log messages
unsigned | flags
| various info, see enum pci_flags
unsigned | cmd
| PCI_COMMAND.
unsigned | hdr_type
| PCI_HEADER_TYPE.
unsigned | secondary_bus
unsigned | bus
| PCI bus #, nothing to do with hw_t.bus.
unsigned | slot
unsigned | func
| slot & function
unsigned | base_class
unsigned | sub_class
unsigned | prog_if
| PCI device classes.
unsigned | dev
unsigned | vend
unsigned | sub_dev
unsigned | sub_vend
unsigned | rev
| vendor & device ids
unsigned | irq
| used irq, if any
uint64_t | base_addr [7]
| I/O or memory base.
uint64_t | base_len [7]
| I/O or memory ranges.
unsigned | addr_flags [7]
| I/O or memory address flags.
uint64_t | rom_base_addr
| memory base for card ROM
uint64_t | rom_base_len
| memory range for card ROM
char * | sysfs_id
| sysfs path
char * | sysfs_bus_id
| sysfs bus id
char * | modalias
| module alias
char * | label
| Consistant Device Name (CDN), pci firmware spec 3.1, chapter 4.6.7.
unsigned | edid_len [6]
| edid record length
unsigned char | edid_data [6][0x80]
| edid record

## Detailed Description

structure holding the (raw) PCI data

The documentation for this struct was generated from the following file:

- hd.h